
Redmine - Defect #6799

stack level too deep

2010-11-02 17:11 - Eric Snow

Status: Closed Start date: 2010-11-02

Priority: Normal Due date: 2013-08-26

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

Everything was working fine. Our server rebooted and now we are getting the following failure. We had not changed anything or

updated anything directly related to redmine, though the failure presumably would indicate that something has changed.  (We did a

kernel upgrade and some FreeBSD standard library updates). I ran the query directly in sqlite and it worked fine. Thanks.

-eric

++++++++++++++++++++++++++++++++++++++++++++++++

sqlite3 version 3.6.23.1

ruby 1.8.7 (2009-04-08 patchlevel 160) [i386-freebsd6]

redmine 1.0 stable from svn (also failed in trunk)

svn, version 1.5.5 (r34862)

%ruby script/about

About your application's environment

Ruby version              1.8.7 (i386-freebsd6)

RubyGems version          1.3.2

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /home/redmine/redmine-1.0

Environment               development

Database adapter          sqlite3

Database schema version   0

%ruby script/about

About your application's environment

Ruby version              1.8.7 (i386-freebsd6)

RubyGems version          1.3.2

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /home/redmine/redmine-1.0

Environment               production

Database adapter          sqlite3

Database schema version   20100819172912

%gem list --local

LOCAL GEMS ***

actionmailer (2.3.5, 2.3.4, 2.3.2)

actionpack (2.3.5, 2.3.4, 2.3.2)

activerecord (2.3.5, 2.3.4, 2.3.2)

activeresource (2.3.5, 2.3.4, 2.3.2)

activesupport (2.3.5, 2.3.4, 2.3.2)
columnize (0.3.1)

linecache (0.43)

mocha (0.9.8)

mysql (2.8.1)

rack (1.0.1)

rails (2.3.5, 2.3.4, 2.3.2)

rake (0.8.4)

rcov (0.8.1.2.0)

ruby-debug (0.10.3)

ruby-debug-base (0.10.3)

sqlite3-ruby (1.2.4)

%/usr/local/bin/ruby /home/redmine/redmine-1.0/script/server webrick -e production -u

=> Booting WEBrick

=> Rails 2.3.5 application starting on http://0.0.0.0:3000

=> Debugger enabled

=> Call with -d to detach

=> Ctrl-C to shutdown server

[2010-11-01 16:52:16] INFO WEBrick 1.3.1

[2010-11-01 16:52:16] INFO ruby 1.8.7 (2009-04-08) [i386-freebsd6]

[2010-11-01 16:52:16] INFO WEBrick::HTTPServer#start: pid=82308 port=3000

Processing IssuesController#index (for 198.65.168.24 at 2010-11-01 16:52:19) [GET]

Parameters: {"action"=>"index", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/index.rhtml

ActionView::TemplateError (SystemStackError: stack level too deep: SELECT count(*) AS count_all FROM "projects" WHERE

((projects.id != 111) AND (projects."lft" <= 36 AND projects."rgt" >= 37)) ) on line #75 of app/views/queries/_filters.rhtml:

72: <tr>

73: <td>

74: <table>

75: <% query.available_filters.sort{|a,b| a1[:order]<=>b1[:order]}.each do |filter| >

76: < field = filter0

77: options = filter1 >

78: <tr <= 'style="display:none;"' unless query.has_filter?(field) > id="tr_<= field %>" class="filter">

app/models/query.rb:224:in `available_filters'

app/models/query.rb:223:in `map'

app/models/query.rb:223:in `available_filters'

app/views/queries/_filters.rhtml:75:in `_run_rhtml_app47views47queries47_filters46rhtml_locals_filters_object_query'

app/views/issues/index.rhtml:17:in `_run_rhtml_app47views47issues47index46rhtml'

app/views/issues/index.rhtml:11:in `_run_rhtml_app47views47issues47index46rhtml'

app/controllers/issues_controller.rb:84:in `index'

app/controllers/issues_controller.rb:83:in `index'

/usr/local/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

/usr/local/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

/usr/local/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

/usr/local/lib/ruby/1.8/webrick/server.rb:162:in `start'

/usr/local/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

/usr/local/lib/ruby/1.8/webrick/server.rb:95:in `start'

/usr/local/lib/ruby/1.8/webrick/server.rb:92:in `each'

/usr/local/lib/ruby/1.8/webrick/server.rb:92:in `start'

/usr/local/lib/ruby/1.8/webrick/server.rb:23:in `start'

/usr/local/lib/ruby/1.8/webrick/server.rb:82:in `start'

Rendering /home/redmine/redmine-1.0/public/500.html (500 Internal Server Error)

History

#1 - 2010-11-03 11:35 - Felix Schäfer

I've seen some *BSD-related stack problem on the forum recently, the fix was to up some (kernel-level?) stack size. Have a look around there.

#2 - 2013-08-19 09:22 - Daniel Felix

- Due date set to 2013-08-26

Any news on this issue? I think this one could be closed.
Please give some feedback in the next week, otherwise I'm going to close this at the 26th August.

#3 - 2013-08-19 09:22 - Daniel Felix

- Status changed from New to Needs feedback

#4 - 2013-10-03 15:11 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

- Resolution set to No feedback
